publicservice

Full documentation for this service is available at /documentation/publicservice.

GetFeedbackSummary |WebMethod|

This API method returns feedback summary regarding a specific user.

Parameters
  1. getFeedbackRequest, Request object containing user id GetFeedbackSummaryRequest
Returns

An object containing total number of positive and negative feedback, for the requested user, over the last month, last six months and last twleve months GetFeedbackSummaryResponse

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/publicservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetFeedbackSummary"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetFeedbackSummary xmlns="http://api.tradera.com">
      <getFeedbackRequest>getFeedbackRequest</getFeedbackRequest>
    </GetFeedbackSummary>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetFeedbackSummaryResponse xmlns="http://api.tradera.com">
      <GetFeedbackSummaryResult>An object containing total number of positive and negative feedback, for the requested user, over the last month, last six months and last twleve months GetFeedbackSummaryResponse</GetFeedbackSummaryResult>
    </GetFeedbackSummaryResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/publicservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetFeedbackSummary xmlns="http://api.tradera.com">
      <getFeedbackRequest>getFeedbackRequest</getFeedbackRequest>
    </GetFeedbackSummary>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetFeedbackSummaryResponse xmlns="http://api.tradera.com">
      <GetFeedbackSummaryResult>An object containing total number of positive and negative feedback, for the requested user, over the last month, last six months and last twleve months GetFeedbackSummaryResponse</GetFeedbackSummaryResult>
    </GetFeedbackSummaryResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/publicservice.asmx/GetFeedbackSummary?appId=string&appKey=string&getFeedbackRequest=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetFeedbackSummaryResult xmlns="http://api.tradera.com">An object containing total number of positive and negative feedback, for the requested user, over the last month, last six months and last twleve months GetFeedbackSummaryResponse</GetFeedbackSummaryResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/publicservice.asmx/GetFeedbackSummary HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&getFeedbackRequest=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetFeedbackSummaryResult xmlns="http://api.tradera.com">An object containing total number of positive and negative feedback, for the requested user, over the last month, last six months and last twleve months GetFeedbackSummaryResponse</GetFeedbackSummaryResult>